## emacs-neotree 0.5.2

=== Makefile ===
EMACS=emacs
CURL=curl --silent
ERT_URL=http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/emacs-lisp/ert.el?h=emacs-24.3

.PHONY: ert test test-batch

package: *.el
	@ver=`grep -o "Version: .*" neotree.el | cut -c 10-`; \
	tar cjvf neotree-$$ver.tar.bz2 --mode 644 `git ls-files '*.el' | xargs`

clean:
	@rm -rf neotree-*/ neotree-*.tar neotree-*.tar.bz2 *.elc ert.el

test: compile
	${EMACS} -Q -nw -L . -L ./test \
		-l test/test-utils.el \
		-l test/test-cmds.el \
		-l test/test-buffer.el \
		-l test/test-vc.el \
		--eval "(let (pop-up-windows) (ert t))"

test-batch: compile
	${EMACS} -Q --batch -L .  -L ./test \
		-l test/test-utils.el \
		--eval "(ert-run-tests-batch-and-exit '(not (tag interactive)))"

downloads:
	${EMACS} -Q --batch -l ert || \
	${CURL} ${ERT_URL} > ert.el

compile:
	${EMACS} -Q --batch -L . -f batch-byte-compile neotree.el

=== debian/changelog ===
emacs-neotree (0.5.2-4) unstable; urgency=medium

  * Update my email address.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 07 Jun 2022 18:50:31 -0400

emacs-neotree (0.5.2-3) unstable; urgency=medium

  * Rebuild with dh-elpa 2.0.
  * Add 0001-declare-correct-version.patch.
  * Migrate to debhelper-compat 13.
  * Update my copyright years.
  * Set Rules-Requires-Root: no.
  * Declare Standards-Version: 4.5.1 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 27 Nov 2020 08:33:07 -0500

emacs-neotree (0.5.2-2) unstable; urgency=medium

  * debian/control:
    - Update team name, and use the new lists.debian.org email address
      directly rather than the lists.alioth.debian.org alias.
    - Polish description and add additional note on how neotree differs from
      dired and speedbar.
  * debian/copyright: Add maintainer apparent as Upstream-Contact.
  * Do a source upload so package can migrate to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 11 Aug 2019 21:03:27 -0400

emacs-neotree (0.5.2-1) unstable; urgency=medium

  * Initial release. (Closes: #872873)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 07 May 2019 22:14:01 -0400

=== debian/control ===
Source: emacs-neotree
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-neotree
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-neotree.git
Homepage: https://github.com/jaypei/emacs-neotree
Testsuite: autopkgtest-pkg-elpa

Package: elpa-neotree
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: directory tree sidebar for Emacs that is like NERDTree for Vim
 NeoTree is a modern, themeable alternative to the Emacs builtins
 Dired and Speedbar.  Like Speedbar, it auto-refreshes without needing
 to type "g".  Like Dired, but unlike Speedbar, it creates a new
 window as a sidebar and not a whole new frame (eg: not a new X11
 application window with its own window decorations).  NeoTree shows a
 file system tree relative to the users' $HOME, where both Dired and
 Speedbar default to showing the contents of the current directory.
 Thus it provides a hierarchical rather than a modal view.
 .
 Neotree is similar to Vim's NERDTree plugin.
 .
 This addon is for users who are more comfortable with the directory
 tree sidebar/file system explorer used in most non-Emacs applications.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/emacs-neotree-$1.tar.gz/" \
    https://github.com/jaypei/emacs-neotree/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
